## desktop-base 10.0.0

=== Makefile ===
GRUB_THEMES=futureprototype-theme/grub\
	moonlight-theme/grub\
	softwaves-theme/grub\
	lines-theme/grub\
	joy-theme/grub\
	spacefun-theme/grub
DEFAULT_BACKGROUND=desktop-background

PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

.PHONY: all clean install install-local
all: build-grub build-emblems build-logos
clean: clean-grub clean-emblems clean-logos

.PHONY: build-grub clean-grub install-grub
build-grub clean-grub install-grub:
	@target=`echo $@ | sed s/-grub//`; \
	for grub_theme in $(GRUB_THEMES) ; do \
		if [ -f $$grub_theme/Makefile ] ; then \
			$(MAKE) $$target -C $$grub_theme || exit 1; \
		fi \
	done

.PHONY: build-emblems clean-emblems install-emblems
build-emblems clean-emblems install-emblems:
	@target=`echo $@ | sed s/-emblems//`; \
	$(MAKE) $$target -C emblems-debian || exit 1;

.PHONY: build-logos clean-logos install-logos
build-logos clean-logos install-logos:
	@target=`echo $@ | sed s/-logos//`; \
	$(MAKE) $$target -C debian-logos || exit 1;


install: install-grub install-emblems install-logos install-local

install-local:
	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL_DATA) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL_DATA) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

	# Create a 'debian-theme' symlink in plymouth themes folder, pointing at the
	# plymouth theme for the currently active 'desktop-theme' alternative.
	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/debian-theme

	# Set Plasma 5/KDE default wallpaper
	install -d $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates
	$(INSTALL_DATA) defaults/plasma5/desktop-base.js $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates/

	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL_DATA) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml

	# GNOME background descriptors
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties


	# Space Fun theme (Squeeze’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun
	$(INSTALL_DATA) $(wildcard spacefun-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/spacefun
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme
	cd $(DESTDIR)/usr/share/desktop-base/spacefun-theme && ln -s /usr/share/plymouth/themes/spacefun plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/login
	$(INSTALL_DATA) $(wildcard spacefun-theme/login/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images
	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
	$(INSTALL_DATA) spacefun-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
	$(INSTALL_DATA) $(wildcard spacefun-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images/
	$(INSTALL_DATA) spacefun-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-spacefun.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/spacefun-theme/wallpaper SpaceFun

	### Lockscreen (same as wallpaper)
	cd $(DESTDIR)/usr/share/desktop-base/spacefun-theme && ln -s wallpaper lockscreen


	# Joy theme (Wheezy’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/joy
	$(INSTALL_DATA) $(wildcard joy-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/joy
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme
	cd $(DESTDIR)/usr/share/desktop-base/joy-theme && ln -s /usr/share/plymouth/themes/joy plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/login
	$(INSTALL_DATA) $(wildcard joy-theme/login/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images
	$(INSTALL_DATA) joy-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
	$(INSTALL_DATA) joy-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
	$(INSTALL_DATA) $(wildcard joy-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images/
	$(INSTALL_DATA) joy-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-theme/wallpaper Joy

	### Lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images
	$(INSTALL_DATA) joy-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
	$(INSTALL_DATA) joy-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
	$(INSTALL_DATA) $(wildcard joy-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images/
	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-theme/lockscreen JoyLockScreen

	# Joy Inksplat theme (Wheezy’s alternate theme)
	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme
	### Plymouth theme
	# Reuse « normal » joy theme
	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme \
		&& ln -s /usr/share/plymouth/themes/joy plymouth \

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images
	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
	$(INSTALL_DATA) $(wildcard joy-inksplat-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images/
	$(INSTALL_DATA) joy-inksplat-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy-inksplat.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-inksplat-theme/wallpaper JoyInksplat
	### Lockscreen (same as Joy)
	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen


	# Lines theme (Jessie’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/lines
	$(INSTALL_DATA) $(wildcard lines-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/lines
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme
	cd $(DESTDIR)/usr/share/desktop-base/lines-theme && ln -s /usr/share/plymouth/themes/lines plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/login
	$(INSTALL_DATA) $(wildcard lines-theme/login/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images
	$(INSTALL_DATA) lines-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
	$(INSTALL_DATA) lines-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
	$(INSTALL_DATA) $(wildcard lines-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images/
	$(INSTALL_DATA) lines-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-lines.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/lines-theme/wallpaper Lines

	### Lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images
	$(INSTALL_DATA) lines-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
	$(INSTALL_DATA) lines-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
	$(INSTALL_DATA) $(wildcard lines-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images/
	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/lines-theme/lockscreen LinesLockScreen


	# Soft waves theme (Stretch’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/softwaves
	$(INSTALL_DATA) $(wildcard softwaves-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/softwaves
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme
	cd $(DESTDIR)/usr/share/desktop-base/softwaves-theme && ln -s /usr/share/plymouth/themes/softwaves plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/login
	$(INSTALL_DATA) $(wildcard softwaves-theme/login/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images
	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
	$(INSTALL_DATA) softwaves-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
	$(INSTALL_DATA) $(wildcard softwaves-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images/
	$(INSTALL_DATA) softwaves-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-softwaves.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/softwaves-theme/wallpaper SoftWaves

	### Lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images
	$(INSTALL_DATA) softwaves-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
	$(INSTALL_DATA) softwaves-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
	$(INSTALL_DATA) $(wildcard softwaves-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images/
	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/softwaves-theme/lockscreen SoftWavesLockScreen

	# futurePrototype theme (Buster’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/futureprototype
	$(INSTALL_DATA) $(wildcard futureprototype-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/futureprototype
	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme
	cd $(DESTDIR)/usr/share/desktop-base/futureprototype-theme && ln -s /usr/share/plymouth/themes/futureprototype plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
	$(INSTALL_DATA) $(wildcard futureprototype-theme/login/*) $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/wallpaper/contents/images

=== emblems-debian/Makefile ===
TARGET_DIR = usr/share/icons/desktop-base
TARGET_DIR_SCALABLE = $(TARGET_DIR)/scalable/emblems
# Generic folder for alternatives
TARGET_VENDOR = usr/share/icons/vendor
# TODO remove installing to _legacy early in bullseye cycle
TARGET_DIR_LEGACY = usr/share/icons/hicolor
TARGET_DIR_SCALABLE_LEGACY = $(TARGET_DIR_LEGACY)/scalable/emblems

.PHONY: build clean install

EMBLEMS = $(basename $(wildcard *.svg))
$(info Emblems: '$(EMBLEMS)')
# TODO remove installing to _legacy early in bullseye cycle
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')
RESOLUTIONS_LEGACY := 16 22 32 36 48 64 128 256
$(info Legacy Resolutions: '$(RESOLUTIONS_LEGACY)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES)x$(RES).png)))
build: $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES)x$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each emblem file
define SVG_TO_PNG_RULE
$1-$2x$2.png: $1.svg
	rsvg-convert $$< -w $2 -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach EMBLEM,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS),$(eval $(call SVG_TO_PNG_RULE,$(EMBLEM),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	# Generic vendor folders, created empty and will be populated with
	# update-alternatives
	for RES in $(RESOLUTIONS) ; do \
		RES_DIR=$(DESTDIR)/$(TARGET_VENDOR)/$${RES}x$${RES}/emblems ; \
		install -d $${RES_DIR} ; \
	done
	install -d $(DESTDIR)/$(TARGET_VENDOR)/scalable/emblems
	# Iterate over resolutions.
	# For each resolution, install PNG emblems in the emblems folder for their
	# resolution.
	# TODO remove installing to _legacy early in bullseye cycle
	for CURRENT_DIR in $(TARGET_DIR) $(TARGET_DIR_LEGACY) ; do \
		install -d $(DESTDIR)/$${CURRENT_DIR} ; \
		for RES in $(RESOLUTIONS) ; do \
			RES_DIR=$(DESTDIR)/$${CURRENT_DIR}/$${RES}x$${RES} ; \
			install -d $${RES_DIR} ; \
			for EMBLEM in $(EMBLEMS) ; do \
				EMBLEMS_DIR=$${RES_DIR}/emblems ; \
				install -d $${EMBLEMS_DIR} ; \
				PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
				$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
			done ; \
		done ; \
	done
	# TODO remove installing to _legacy early in bullseye cycle
	for RES in $(RESOLUTIONS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
		done ; \
	done
	for RES in $(RESOLUTIONS_LEGACY) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_LEGACY)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
			$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
		done ; \
	done
	# Install SVG emblems in the scalable emblems dir.
	for CURRENT_SCAL_DIR in $(TARGET_DIR_SCALABLE) $(TARGET_DIR_SCALABLE_LEGACY) ; do \
		install -d $(DESTDIR)/$${CURRENT_SCAL_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			EMBLEMS_DIR=$(DESTDIR)/$${CURRENT_SCAL_DIR} ; \
			install -d $${EMBLEMS_DIR} ; \
			$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
		done ; \
	done
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
	done
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE_LEGACY) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
	done

include ../Makefile.inc

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper (>= 11),
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common
Suggests: gnome | kde-standard | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

## desktop-base 10.0.2.lnd.4

=== Makefile ===
--- 
+++ 
@@ -201,6 +201,7 @@
 	$(INSTALL_DATA) $(wildcard futureprototype-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/futureprototype
 	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme
 	cd $(DESTDIR)/usr/share/desktop-base/futureprototype-theme && ln -s /usr/share/plymouth/themes/futureprototype plymouth
+
 	### Login background
 	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
 	$(INSTALL_DATA) $(wildcard futureprototype-theme/login/*) $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login

=== debian/changelog ===
desktop-base (10.0.2.lnd.4) unstable; urgency=medium

  * Changed the picture of grub in futureprototype-theme

 -- sangmeng <sangmeng@loongson.cn>  Mon, 18 Jul 2022 09:02:56 +0800

desktop-base (10.0.2.lnd.3) unstable; urgency=medium

  * Changed the pictures in grub in the futureprototype-theme directory.

    - The grub directory contains the grub startup background image 
  
 -- sangmeng <sangmeng@loongson.cn>  Wed, 15 Sep 2021 15:34:02 +0800
 

desktop-base (10.0.2.lnd2+edu1) unstable; urgency=medium

  * Fix version

 -- Ling Yang <lingyang@loongson.cn>  Fri, 16 Apr 2021 17:33:00 +0800

desktop-base (10.0.2.lnd2+1) unstable; urgency=medium

  * Add cartoon-girl wallpaper.

 -- Ling Yang <lingyang@loongson.cn>  Tue, 13 Apr 2021 19:01:12 +0800

desktop-base (10.0.2.lnd2) unstable; urgency=medium

  * Add loongson plymouth theme.

 -- wangming <wangming@loongson.cn>  Mon, 21 Dec 2020 19:00:41 +0800

desktop-base (10.0.2.lnd1) unstable; urgency=medium

  * Add loongson png for calamares 

 -- Huang Jia Wen <huangjiawen@loongson.con>  Fri 15 Nov 2020 09:20:30 +0000

## desktop-base 10.0.2.lnd.edu2+nmu1

=== debian/changelog ===
desktop-base (10.0.2.lnd.edu2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:20:13 +0800

desktop-base (10.0.2.lnd.edu2) unstable; urgency=medium

  * Add LoongsonEdu wallpapers

 -- Ling Yang <lingyang@loongson.cn>  Wed, 12 Jan 2022 14:16:19 +0800

desktop-base (10.0.2.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Wed, 12 Jan 2022 13:57:48 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Josselin Mouette <joss@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Aurélien COUDERC <coucouf@debian.org>
+           Aurélien COUDERC <coucouf@debian.org>,
+           Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11),
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
-               fonts-quicksand
+               fonts-quicksand,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://www.debian.org/devel/debian-desktop/
@@ -19,7 +20,10 @@
 
 Package: desktop-base
 Architecture: all
-Depends: librsvg2-common
+Depends: librsvg2-common,
+# For the login background with logo
+         fonts-quicksand,
+Recommends: plymouth-label
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by

## desktop-base 10.0.3

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,6 @@
 Priority: optional
 Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
-           Josselin Mouette <joss@debian.org>,
-           Paul Tagliamonte <paultag@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11),

## desktop-base 10.0.3ubuntu1

=== emblems-debian/Makefile ===
TARGET_DIR = usr/share/icons/desktop-base
TARGET_DIR_SCALABLE = $(TARGET_DIR)/scalable/emblems
# Generic folder for alternatives
TARGET_VENDOR = usr/share/icons/vendor
# TODO remove installing to _legacy early in bullseye cycle
TARGET_DIR_LEGACY = usr/share/icons/hicolor
TARGET_DIR_SCALABLE_LEGACY = $(TARGET_DIR_LEGACY)/scalable/emblems

.PHONY: build clean install

EMBLEMS = $(basename $(wildcard *.svg))
$(info Emblems: '$(EMBLEMS)')
# TODO remove installing to _legacy early in bullseye cycle
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')
RESOLUTIONS_LEGACY := 16 22 32 36 48 64 128 256
$(info Legacy Resolutions: '$(RESOLUTIONS_LEGACY)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(SVG)-$(RES)x$(RES).png)))
build: $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(SVG)-$(RES)x$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each emblem file
define SVG_TO_PNG_RULE
$1-$2x$2.png: $1.svg
	rsvg-convert $$< -w $2 -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach EMBLEM,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(eval $(call SVG_TO_PNG_RULE,$(EMBLEM),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	# Generic vendor folders, created empty and will be populated with
	# update-alternatives
	for RES in $(RESOLUTIONS) ; do \
		RES_DIR=$(DESTDIR)/$(TARGET_VENDOR)/$${RES}x$${RES}/emblems ; \
		install -d $${RES_DIR} ; \
	done
	install -d $(DESTDIR)/$(TARGET_VENDOR)/scalable/emblems
	# Install PNG icons for each resolution
	for RES in $(RESOLUTIONS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
		done ; \
	done
	# TODO remove installing to _legacy early in bullseye cycle
	for RES in $(RESOLUTIONS_LEGACY) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_LEGACY)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
			$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
		done ; \
	done
	# Install SVG emblems in the scalable emblems dir
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
	done
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE_LEGACY) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
		$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
	done

include ../Makefile.inc

=== lines-theme/grub/Makefile ===
dir = usr/share/desktop-base/lines-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== spacefun-theme/grub/Makefile ===
dir = usr/share/desktop-base/spacefun-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (10.0.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Aug 2019 14:01:30 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>

## desktop-base 11.0.1

=== debian/changelog ===
desktop-base (11.0.1) unstable; urgency=medium

  * New release
  * Update standards version to 4.5.0
  * Bump debhelper version to 13
  * Add start of homeworld theme integration

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 Nov 2020 19:19:22 +0200

## desktop-base 11.0.2

=== debian/changelog ===
desktop-base (11.0.2) unstable; urgency=medium

  [ Holger Levsen ]
  * README: Homeworld is the default theme for bullseye.

  [ Aurélien COUDERC ]
  * Improve Plymouth boot screen for Homeworld theme. (Closes: #956426)
  * Align debian+text logos with Homeworld color palette, put bump Debian
    version to 11 for login screens.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Mar 2021 00:37:18 +0100

## desktop-base 11.0.3

=== homeworld-theme/grub/Makefile ===
dir = usr/share/desktop-base/homeworld-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== joy-theme/grub/Makefile ===
dir = usr/share/desktop-base/joy-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== moonlight-theme/grub/Makefile ===
dir = usr/share/desktop-base/moonlight-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== softwaves-theme/grub/Makefile ===
dir = usr/share/desktop-base/softwaves-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (11.0.3) unstable; urgency=medium

  * Make Debian logo and text darker on GRUB backgrounds to avoid grub’s own
    text being unreadable on top of these. (Closes: #983884)
  * Also remove futurePrototype alternative for desktop-theme in prerm
    maintainer script. (Closes: #985267)
  * Fix Name metadata for homeworld theme’s wallpaper.
  * Also fix plymouth text display in multi-screen configurations for previous
    themes: futureprototype, joy, lines, moonlight, softwaves (fixes more
    cases of #956426).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Mar 2021 22:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

## desktop-base 11.0.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-GRUB_THEMES=futureprototype-theme/grub\
+GRUB_THEMES=homeworld-theme/grub\
+    futureprototype-theme/grub\
 	moonlight-theme/grub\
 	softwaves-theme/grub\
 	lines-theme/grub\

=== futureprototype-theme/grub/Makefile ===
dir = usr/share/desktop-base/futureprototype-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	rsvg-convert $< -o $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (11.0.3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 22:37:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>

## desktop-base 12.0.1

=== debian/changelog ===
desktop-base (12.0.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/desktop-base.lintian-overrides on
    line 3-6.

  [ Jonathan Carter ]
  * Initial Emerald theme integration
   - Update copyright years
   - Start work in emerald-theme/ directory 
   - Update plymouth background
   - Update GNOME metadata
   - Update alternatives in postinst
   - Update Makefile with new entries

 -- Jonathan Carter <jcc@debian.org>  Sun, 11 Dec 2022 13:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
@@ -12,7 +11,7 @@
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

## desktop-base 12.0.2

=== debian/changelog ===
desktop-base (12.0.2) unstable; urgency=medium

  * Fix emerald theme paths in desktop xml file (Closes: #1026264) 

 -- Jonathan Carter <jcc@debian.org>  Fri, 23 Dec 2022 19:31:20 +0200

## desktop-base 12.0.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-GRUB_THEMES=homeworld-theme/grub\
-    futureprototype-theme/grub\
+GRUB_THEMES=emerald-theme/grub\
+	homeworld-theme/grub\
+	futureprototype-theme/grub\
 	moonlight-theme/grub\
 	softwaves-theme/grub\
 	lines-theme/grub\

=== debian/changelog ===
desktop-base (12.0.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 20:15:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>

## desktop-base 12.0.3

=== Makefile ===
--- 
+++ 
@@ -53,9 +53,22 @@
 	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
 	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/debian-theme
 
-	# Set Plasma 5/KDE default wallpaper
-	install -d $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates
-	$(INSTALL_DATA) defaults/plasma5/desktop-base.js $(DESTDIR)/usr/share/plasma/shells/org.kde.plasma.desktop/contents/updates/
+	# Set Plasma 5 customizations
+	install -d $(DESTDIR)/etc/xdg/autostart
+	$(INSTALL_DATA) defaults/kde/etc/xdg/kcm-about-distrorc $(DESTDIR)/etc/xdg
+	$(INSTALL_DATA) defaults/kde/etc/xdg/kickoffrc $(DESTDIR)/etc/xdg
+	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/autostart/*) $(DESTDIR)/etc/xdg/autostart/
+	install -d $(DESTDIR)/etc/xdg/plasma-workspace/env
+	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/plasma-workspace/env/*) $(DESTDIR)/etc/xdg/plasma-workspace/env/
+	install -d $(DESTDIR)/usr/share/desktop-base/kf5-settings
+	$(INSTALL_DATA) $(wildcard defaults/kde/kf5-settings/*) $(DESTDIR)/usr/share/desktop-base/kf5-settings/
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
+	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/metadata.json $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop
+	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/defaults $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts
+	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/layouts/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts/
+	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews
+	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/previews/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews/
 
 	# Xfce 4.6
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
@@ -77,7 +90,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images
-	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
+	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
 	$(INSTALL_DATA) spacefun-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard spacefun-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) spacefun-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-spacefun.xml
@@ -101,7 +114,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images
-	$(INSTALL_DATA) joy-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
+	$(INSTALL_DATA) joy-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
 	$(INSTALL_DATA) joy-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard joy-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) joy-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy.xml
@@ -111,7 +124,7 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images
-	$(INSTALL_DATA) joy-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
+	$(INSTALL_DATA) joy-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
 	$(INSTALL_DATA) joy-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
 	$(INSTALL_DATA) $(wildcard joy-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images/
 	# Lock screen symlink for KDE
@@ -127,7 +140,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images
-	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
+	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
 	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard joy-inksplat-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) joy-inksplat-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy-inksplat.xml
@@ -135,7 +148,7 @@
 	install -d $(DESTDIR)/usr/share/wallpapers
 	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-inksplat-theme/wallpaper JoyInksplat
 	### Lockscreen (same as Joy)
-	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen
+	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/grub grub && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen && ln -s /usr/share/desktop-base/joy-theme/login login
 
 
 	# Lines theme (Jessie’s default)
@@ -150,7 +163,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images
-	$(INSTALL_DATA) lines-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
+	$(INSTALL_DATA) lines-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
 	$(INSTALL_DATA) lines-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard lines-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) lines-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-lines.xml
@@ -160,7 +173,7 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images
-	$(INSTALL_DATA) lines-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
+	$(INSTALL_DATA) lines-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
 	$(INSTALL_DATA) lines-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
 	$(INSTALL_DATA) $(wildcard lines-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images/
 	# Lock screen symlink for KDE
@@ -180,7 +193,7 @@
 
 	### Wallpapers
 	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images
-	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
+	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
 	$(INSTALL_DATA) softwaves-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
 	$(INSTALL_DATA) $(wildcard softwaves-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images/
 	$(INSTALL_DATA) softwaves-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-softwaves.xml
@@ -190,23 +203,3 @@
 
 	### Lockscreen
 	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images
-	$(INSTALL_DATA) softwaves-theme/lockscreen/metadata.desktop $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
-	$(INSTALL_DATA) softwaves-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen
-	$(INSTALL_DATA) $(wildcard softwaves-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/lockscreen/contents/images/
-	# Lock screen symlink for KDE
-	install -d $(DESTDIR)/usr/share/wallpapers
-	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/softwaves-theme/lockscreen SoftWavesLockScreen
-
-	# futurePrototype theme (Buster’s default)
-	### Plymouth theme
-	install -d $(DESTDIR)/usr/share/plymouth/themes/futureprototype
-	$(INSTALL_DATA) $(wildcard futureprototype-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/futureprototype
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme
-	cd $(DESTDIR)/usr/share/desktop-base/futureprototype-theme && ln -s /usr/share/plymouth/themes/futureprototype plymouth
-
-	### Login background
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
-	$(INSTALL_DATA) $(wildcard futureprototype-theme/login/*) $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/login
-
-	### Wallpapers
-	install -d $(DESTDIR)/usr/share/desktop-base/futureprototype-theme/wallpaper/contents/images

=== debian/changelog ===
desktop-base (12.0.3) UNRELEASED; urgency=medium

  * Update plymouth theme to implement Juliette’s proposal.
  * Fix and improve Plasma desktop customization. (Closes: #954093)
  * Update logos to Debian version 12. (Closes: #1026464)
  * Improve grub theme. (Closes: #1027301)
  * Remove older debian version numbers from assets. (Closes: #989822)
  * Fix missing links in joy inksplat theme. (Closes: #1023148)
  * Migrate wallpaper metadata from ini to json.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Feb 2023 23:38:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 13),
+               inkscape,
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text

## desktop-base 12.0.5

=== debian/changelog ===
desktop-base (12.0.5) unstable; urgency=medium

  * Make the GDM Debian footer slightly smaller.
  * Even lighter Debian 12 text on emerald grub to improve grub text
    readability.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 23:22:32 +0100

desktop-base (12.0.4) unstable; urgency=medium

  * Add Debian swirl in circle as default profile icon for new users.
  * Add more sizes for the Emerald wallpaper. (Closes: #1027841)
  * Improvements to emerald plymouth theme’s visuals.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 00:21:39 +0100

desktop-base (12.0.3) unstable; urgency=medium

  * Update plymouth theme to implement Juliette’s proposal.
  * Fix and improve Plasma desktop customization. (Closes: #954093)
  * Update logos to Debian version 12. (Closes: #1026464)
  * Improve grub theme. (Closes: #1027301)
  * Remove older debian version numbers from assets. (Closes: #989822)
  * Fix missing links in joy inksplat theme. (Closes: #1023148)
  * Migrate wallpaper metadata from ini to json.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 23:57:31 +0100

## desktop-base 12.0.6

=== debian/changelog ===
desktop-base (12.0.6) unstable; urgency=medium

  * Fix LUKS password not being shown in multi-screen setup with mixed aspect
    ratios.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Apr 2023 21:58:23 +0200

## desktop-base 12.0.6%2Bnmu1

=== lines-theme/grub/Makefile ===
--- 
+++ 
@@ -17,11 +17,13 @@
 	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)
 
 grub-4x3.png: grub-4x3.svg
-	rsvg-convert $< -o $@.raw
+	inkscape --export-filename=$@ $<
+	mv $@ $@.raw
 	optipng $@.raw -out $@
 
 grub-16x9.png: grub-16x9.svg
-	rsvg-convert $< -o $@.raw
+	inkscape --export-filename=$@ $<
+	mv $@ $@.raw
 	optipng $@.raw -out $@
 
 include ../../Makefile.inc

=== debian/changelog ===
desktop-base (12.0.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * prerm: Remove the emerald alternatives, too.  (Closes: #1035431)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Jun 2023 12:36:56 +0200

## desktop-base 12.0.6+nmu1~deb12u1

=== debian/changelog ===
desktop-base (12.0.6+nmu1~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
